import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //结算单批量删除
    settlebatchdelete(data) {
        return request({
            url: '/settle/batch/delete',
            method: 'post',
            data
        })
    },
    //结算单批量提交审核
    settlebatchsubmitcheck(data) {
        return request({
            url: '/settle/batch/submit/check',
            method: 'post',
            data
        })
    },
    //结算单审核
    settlecheck(data) {
        return request({
            url: '/settle/check',
            method: 'post',
            data
        })
    },
    //结算订单列表
    settlelist(data) {
        return request({
            url: '/settle/list',
            method: 'get',
            params: data
        })
    },
    //结算金额计算
    settlemoney(data) {
        return request({
            url: '/settle/money',
            method: 'get',
            params: data
        })
    },
    //获取数量结算单详情信息
    settlenumdetaildata(data) {
        return request({
            url: `/settle/num/detail/` + data,
            method: 'get',
        })
    },
    //按数量保存结算订单
    settlenumsave(data) {
        return request({
            url: '/settle/num/save',
            method: 'post',
            data
        })
    },
    //数量结算单修改
    settlenumupdate(data) {
        return request({
            url: '/settle/num/update',
            method: 'post',
            data
        })
    },
    //订单批量导入
    settleorderimport(data) {
        return request({
            url: '/settle/order/import',
            method: 'post',
            data
        })
    },
    //获取订单详细信息
    settleorderinfo(data) {
        return request({
            url: '/settle/order/info',
            method: 'get',
            params: data
        })
    },
    //结算单支付
    settlepay(data) {
        return request({
            url: '/settle/pay',
            method: 'post',
            data
        })
    },
    //结算单支付信息
    settlepayinfodata(data) {
        return request({
            url: '/settle/pay/info/'+data,
            method: 'get',
        })
    },
    //结算单据打印明细信息
    settlereceiptsdetaildata(data) {
        return request({
            url: '/settle/receipts/detail/'+data,
            method: 'get',
        })
    },
    //结算单据打印信息
    settlereceiptsdata(data) {
        return request({
            url: '/settle/receipts/'+data,
            method: 'get',
        })
    },
    //获取时间结算单详情信息
    settletimedetaildata(data) {
        return request({
            url: '/settle/time/detail/'+data,
            method: 'get',
        })
    },
    //按时间保存结算订单
    settletimesave(data) {
        return request({
            url: '/settle/time/save',
            method: 'post',
            data
        })
    },
    //时间结算单修改
    settletimeupdate(data) {
        return request({
            url: '/settle/time/update',
            method: 'post',
            data
        })
    },
    //结算单总金额
    settletotalmoney(data) {
        return request({
            url: '/settle/total/money',
            method: 'post',
            data
        })
    },
    //成本分类查询职能机构列表
    topinstitutionlistByCat(data) {
        return request({
            url: '/top/institution/listByCat',
            method: 'get',
            params: data
        })
    },
    //查询供应商成本模板所有业务层次列表
    topcostinsttpbusinessList(data) {
        return request({
            url: '/top/cost/inst/tp/businessList',
            method: 'get',
            params: data
        })
    },
}